.\"	$NetBSD: viaenv.4,v 1.6 2007/01/20 18:44:26 xtraeme Exp $
.\"
.\" Copyright (c) 2000 Johan Danielsson
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\"
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\"
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" 3. Neither the name of author nor the names of any contributors may
.\"    be used to endorse or promote products derived from this
.\"    software without specific prior written permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.Dd January 20, 2007
.Dt VIAENV 4
.Os
.Sh NAME
.Nm viaenv
.Nd VIA VT82C686A/VT8231 Hardware Monitor and Power Management Timer
.Sh SYNOPSIS
.Cd "viaenv* at pci? dev ? function ?"
.Sh DESCRIPTION
The
.Nm
is an
.Xr envsys 4
compatible driver for the Hardware Monitor and the Power Management
timer in the
.Tn VIA
VT82C686A and VT8231 South Bridges.
.Pp
The device has 10 sensors:
.Bl -column "Sensor" "Units" "Typical" -offset indent
.It Sy "Sensor" Ta Sy "Units" Ta Sy "Typical Use"
.It Li "TSENS1" Ta "uK" Ta "CPU temperature"
.It Li "TSENS2" Ta "uK" Ta "System temperature"
.It Li "TSENS3" Ta "uK" Ta "?"
.It Li "FAN1" Ta "RPM" Ta "CPU fan"
.It Li "FAN2" Ta "RPM" Ta "System fan"
.It Li "VSENS1" Ta "uV DC" Ta "CPU core voltage (2.0V)"
.It Li "VSENS2" Ta "uV DC" Ta "North Bridge core voltage (2.5V)"
.It Li "Vcore" Ta "uV DC" Ta "Internal core voltage (3.3V)"
.It Li "VSENS3" Ta "uV DC" Ta "+5V"
.It Li "VSENS4" Ta "uV DC" Ta "+12V"
.El
.Pp
Sensor data is updated every 1.5 seconds.
.Sh SEE ALSO
.Xr envsys 4 ,
.Xr envstat 8
.Sh HISTORY
The
.Nm
device appeared in
.Nx 1.5 .
.Sh BUGS
Interrupt support is unimplemented, as is support for setting values.
